> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Org

> Loads the caller's organization with expense policy, Anchorage/Fireblocks flags, contractor flags and branded employee-view config.

Required scope: `organization:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-current-org
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-current-org:
    get:
      operationId: getCurrentOrg
      summary: Get Current Org
      x-toku-required-scope: organization:read
      description: >-
        Loads the caller's organization with expense policy,
        Anchorage/Fireblocks flags, contractor flags and branded employee-view
        config.


        Required scope: `organization:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCurrentOrgResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCurrentOrgResponse:
      type: object
      properties:
        isPayoutWalletAllocationEnabled:
          type: boolean
        hrisEmployeeResignationEnabled:
          type:
            - boolean
            - 'null'
        federationConfigurationVersion:
          type: integer
        hrisVerificationOwnerRoleInOrgID:
          type:
            - string
            - 'null'
        hrisVerificationEnabled:
          type: boolean
        orgID:
          type: string
        hrisOrgID:
          type:
            - string
            - 'null'
        orgName:
          type: string
        orgLogoFileID:
          type:
            - string
            - 'null'
        timezone:
          type: string
        tokenName:
          type:
            - string
            - 'null'
        defaultTokenNetworkId:
          type:
            - string
            - 'null'
        cmcId:
          type:
            - string
            - 'null'
        coingeckoId:
          type:
            - string
            - 'null'
        isTokenLive:
          type: boolean
        isMfaEnabled:
          type: boolean
        isOktaEnabled:
          type: boolean
        oktaClientId:
          type:
            - string
            - 'null'
        oktaIssuerUrl:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - integer
            - 'null'
        shouldShowUnallocatedTokens:
          type:
            - boolean
            - 'null'
        totalTokens:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        updatedAt:
          type: string
        hasInvestmentCapTableLockups:
          type:
            - boolean
            - 'null'
        autoVestingEnabled:
          type: boolean
        hidePasswordOptionWhenOktaEnabled:
          type: boolean
        hidePasswordOptionForClientAdminWhenOktaEnabled:
          type: boolean
        isPropelAuthEnabled:
          type: boolean
        shouldShowTokensCancelled:
          type:
            - boolean
            - 'null'
        organizationDefaultAdminGrantCurrency:
          type:
            - string
            - 'null'
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
            - null
        tokenId:
          type:
            - string
            - 'null'
        notifySettlementEmail:
          type:
            - boolean
            - 'null'
        decimalPrecisionForTokens:
          type:
            - integer
            - 'null'
        isStableCoinPayrollEnabled:
          type:
            - boolean
            - 'null'
        finishedStablecoinPayrollOnboarding:
          type: boolean
        isSCPMultiWalletSupportEnabled:
          type:
            - boolean
            - 'null'
        isStablecoinUsdPegEnabled:
          type: boolean
        useLegacyStablecoinPayrollBackend:
          type: boolean
        stablecoinPayrollBackendVersion:
          type: integer
        isArchived:
          type: boolean
        isHRISEnabled:
          type:
            - boolean
            - 'null'
        isContractorTimeOffEnabled:
          type: boolean
        calendarFeedsEnabled:
          type: boolean
        calendarFeedCelebrations:
          type: boolean
        isTimeTrackingEnabled:
          type:
            - boolean
            - 'null'
        isClientBillingPageEnabled:
          type: boolean
        hrisBenefitsPackage:
          type:
            - string
            - 'null'
        hrisRequireBackgroundCheck:
          type:
            - boolean
            - 'null'
        hrisAllowPayrollOnly:
          type:
            - boolean
            - 'null'
        hrisRequirePersonalLoginEmail:
          type:
            - boolean
            - 'null'
        companyEmailDomains:
          type: array
          items:
            type: string
        registrationCountry:
          type:
            - string
            - 'null'
        estimatedContractorCount:
          type:
            - integer
            - 'null'
        primaryStablecoin:
          type:
            - string
            - 'null'
          enum:
            - USDC
            - USDT
            - USDP
            - RLUSD
            - DAI
            - null
        selfServeOnboardingComplete:
          type: boolean
        selfServeActivatedAt:
          type:
            - string
            - 'null'
        selfServeAccess:
          type:
            - string
            - 'null'
          enum:
            - SETUP
            - PENDING_APPROVAL
            - REJECTED
            - null
        selfServePaymentSchedule:
          type:
            - string
            - 'null'
          enum:
            - MONTHLY_15TH
            - SEMI_MONTHLY
            - MONTHLY_LAST_DAY
            - CUSTOM
            - null
        selfServePaymentDates:
          type: array
          items:
            type: integer
        autoApprovalThreshold:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        autoApprovalEnabled:
          type: boolean
        requiredApproversCount:
          type:
            - integer
            - 'null'
        isInvoiceApproverRoutingEnabled:
          type: boolean
        pimlicoSponsorshipPolicyId:
          type:
            - string
            - 'null'
        isTokenGrantOnboardingEnabled:
          type:
            - boolean
            - 'null'
        finishedTokenGrantOnboarding:
          type: boolean
        tokenGrantOnboardingProgress: {}
        isSCPDemoWorkflowEnabled:
          type:
            - boolean
            - 'null'
        isPersonaEnabled:
          type:
            - boolean
            - 'null'
        isMeshConnectDemoEnabled:
          type:
            - boolean
            - 'null'
        isCustodyMgmtModuleEnabled:
          type:
            - boolean
            - 'null'
        isCustodyOffPlatform:
          type: boolean
        isSubRecipientFtEnabled:
          type:
            - boolean
            - 'null'
        isSCPV2DemoEnabled:
          type:
            - boolean
            - 'null'
        isRippleBasedDemoEnabled:
          type:
            - boolean
            - 'null'
        isTestTxAmountVerificationEnabled:
          type:
            - boolean
            - 'null'
        isTokuEOREnabled:
          type:
            - boolean
            - 'null'
        isPaymentV2Enabled:
          type: boolean
        isTgaSimplifiedEnabled:
          type: boolean
        isTokuOnlyMarksEnabled:
          type: boolean
        activeWalletProvider:
          type: string
          enum:
            - PRIVY
            - CROSSMINT
        isTokenPayrollDemoEnabled:
          type:
            - boolean
            - 'null'
        isReseedAllowed:
          type: boolean
        isDemoNotificationEmailsEnabled:
          type: boolean
        tradingPlanEnabled:
          type: boolean
        showOfframp:
          type: boolean
        enablePaxos:
          type: boolean
        enableMorpho:
          type: boolean
        enableYo:
          type: boolean
        yoEnabledAt:
          type:
            - string
            - 'null'
        isQuickBooksIntegrationEnabled:
          type: boolean
        isSlackIntegrationEnabled:
          type: boolean
        isCustomRolesEnabled:
          type: boolean
        isLearningEnabled:
          type: boolean
        isAIJobDescriptionEnabled:
          type: boolean
        enableMultiCurrencyInvoices:
          type: boolean
        enableHrisAutoInvoicing:
          type: boolean
        requireInvoiceWorkSummary:
          type: boolean
        defaultContractingEntity:
          type:
            - string
            - 'null'
        isOrganizationHidden:
          type:
            - boolean
            - 'null'
        fmvFetchTime:
          type:
            - string
            - 'null'
        isClientAdminHrisSyncedOrg:
          type: boolean
        isMigrationOnboardingExempt:
          type: boolean
        orgArchitectureVersion:
          type: string
          enum:
            - LEGACY_TGA_FIRST
            - PEOPLE_MANAGEMENT_FIRST
        orgType:
          type: string
          enum:
            - CLIENT_ORGANIZATION
            - DEMO_ORGANIZATION
            - TOKU_ORGANIZATION
            - STABLECOIN_DEMO_ORGANIZATION
        clientOrgCategory:
          type:
            - string
            - 'null'
          enum:
            - PAID
            - INTERNAL
            - null
        orgStatus:
          type: string
          enum:
            - ONBOARDING
            - ACTIVE
            - INACTIVE
        isStakingEnabled:
          type: boolean
        isAIAssistantEnabled:
          type: boolean
        isIntegrationsDemoEnabled:
          type: boolean
        demoHrisProvider:
          type:
            - string
            - 'null'
        demoCustodyProvider:
          type:
            - string
            - 'null'
        isPayrollApprovalPoliciesEnabled:
          type: boolean
        isDeveloperSettingsEnabled:
          type: boolean
        isDistributionModuleEnabled:
          type: boolean
        isRipplingPayrollRoundTripEnabled:
          type: boolean
        isRainKycEnabled:
          type: boolean
        rainPayrollCardEnabled:
          type: boolean
        rainPerksCardsEnabled:
          type: boolean
        automatedTestTransactionsEnabled:
          type: boolean
        multipleTokenTypesForGrantsEnabled:
          type: boolean
        grantPayoutTokenTypeID:
          type:
            - string
            - 'null'
        isGrantPayoutOverrideEnabled:
          type: boolean
        payoutRoutingMode:
          type: string
          enum:
            - LEGACY
            - STRICT
        payoutStablecoinTokenTypeID:
          type:
            - string
            - 'null'
        payoutStablecoinFmv:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        isDeleted:
          type: boolean
        passwordProtected:
          type: boolean
        passwordUpdatedAt:
          type:
            - string
            - 'null'
        hrisConfidential:
          type: boolean
        isMcpClientAdminEnabled:
          type: boolean
        hasOktaClientSecretKey:
          type: boolean
        hrisExpensePolicy:
          type:
            - object
            - 'null'
          properties:
            isEnabled:
              type: boolean
            justificationRequired:
              type: boolean
            autoApproveThreshold:
              type:
                - string
                - 'null'
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            perReportCap:
              type:
                - string
                - 'null'
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            perExpenseCap:
              type:
                - string
                - 'null'
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            monthlyCapPerSubmitter:
              type:
                - string
                - 'null'
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            contractorPerReportCap:
              type:
                - string
                - 'null'
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          required:
            - isEnabled
            - justificationRequired
            - autoApproveThreshold
            - perReportCap
            - perExpenseCap
            - monthlyCapPerSubmitter
            - contractorPerReportCap
        isHrisExpenseEnabled:
          type: boolean
        hrisExpenseJustificationRequired:
          type: boolean
        hrisExpenseAutoApproveThreshold:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        hrisExpensePerReportLimit:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        hrisExpensePerExpenseCap:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        hrisExpenseMonthlyCapPerSubmitter:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        hrisExpenseContractorPerReportLimit:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        isContractorStablecoinEnabled:
          type: boolean
        isAnchorageIntegrationEnabled:
          type: boolean
        isFireblocksIntegrationEnabled:
          type: boolean
        anchorageDigitalAssetType:
          type:
            - string
            - 'null'
        fireblocksAssetLegacyId:
          type:
            - string
            - 'null'
        hasTokuContractors:
          type: boolean
        orgLogoUrl:
          type:
            - string
            - 'null'
        organizationEmployeeViewConfig:
          type:
            - object
            - 'null'
          properties:
            logoUrl:
              type:
                - string
                - 'null'
            primaryColor:
              type: string
            secondaryColor:
              type: string
            stablecoinLabel:
              type:
                - string
                - 'null'
            stablecoinLabelPlural:
              type:
                - string
                - 'null'
            onboardingType:
              type: string
              enum:
                - DEFAULT
                - RIPPLE
            defaultOnboardingWalletOptions: {}
          required:
            - logoUrl
            - primaryColor
            - secondaryColor
            - stablecoinLabel
            - stablecoinLabelPlural
            - onboardingType
            - defaultOnboardingWalletOptions
      required:
        - orgID
        - orgName
        - timezone
        - isMfaEnabled
        - isHRISEnabled
        - isContractorTimeOffEnabled
        - isTimeTrackingEnabled
        - registrationCountry
        - primaryStablecoin
        - isSlackIntegrationEnabled
        - isAIJobDescriptionEnabled
        - enableMultiCurrencyInvoices
        - orgType
        - orgStatus
        - hrisExpensePolicy
        - isHrisExpenseEnabled
        - hrisExpenseJustificationRequired
        - hrisExpenseAutoApproveThreshold
        - hrisExpensePerReportLimit
        - hrisExpensePerExpenseCap
        - hrisExpenseMonthlyCapPerSubmitter
        - hrisExpenseContractorPerReportLimit
        - isContractorStablecoinEnabled
        - hasTokuContractors
        - orgLogoUrl
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
